Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions
remove_if.hpp File Reference

## Classes
struct | ranges::remove_if_view< Rng, Pred >
struct | ranges::views::remove_if_base_fn
| Given a source range, unary predicate, and optional projection, present a view of the elements that do not satisfy the predicate. More...
struct | ranges::views::remove_if_bind_fn
struct | ranges::views::remove_if_fn

## Functions
template<typename Rng , typename Pred >
| ranges::remove_if_view (Rng &&, Pred) -> remove_if_view< views::all_t< Rng >, Pred >